<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2021-12-03 Fri 15:43 -->
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>Fdisk</title>
<meta name="author" content="dt" />
<meta name="description" content="Knowledge Base - fdisk
Header
Header" />
<meta name="generator" content="Org Mode" />
<style>
  #content { max-width: 60em; margin: auto; }
  .title  { text-align: center;
             margin-bottom: .2em; }
  .subtitle { text-align: center;
              font-size: medium;
              font-weight: bold;
              margin-top:0; }
  .todo   { font-family: monospace; color: red; }
  .done   { font-family: monospace; color: green; }
  .priority { font-family: monospace; color: orange; }
  .tag    { background-color: #eee; font-family: monospace;
            padding: 2px; font-size: 80%; font-weight: normal; }
  .timestamp { color: #bebebe; }
  .timestamp-kwd { color: #5f9ea0; }
  .org-right  { margin-left: auto; margin-right: 0px;  text-align: right; }
  .org-left   { margin-left: 0px;  margin-right: auto; text-align: left; }
  .org-center { margin-left: auto; margin-right: auto; text-align: center; }
  .underline { text-decoration: underline; }
  #postamble p, #preamble p { font-size: 90%; margin: .2em; }
  p.verse { margin-left: 3%; }
  pre {
    border: 1px solid #e6e6e6;
    border-radius: 3px;
    background-color: #f2f2f2;
    padding: 8pt;
    font-family: monospace;
    overflow: auto;
    margin: 1.2em;
  }
  pre.src {
    position: relative;
    overflow: auto;
  }
  pre.src:before {
    display: none;
    position: absolute;
    top: -8px;
    right: 12px;
    padding: 3px;
    color: #555;
    background-color: #f2f2f299;
  }
  pre.src:hover:before { display: inline; margin-top: 14px;}
  /* Languages per Org manual */
  pre.src-asymptote:before { content: 'Asymptote'; }
  pre.src-awk:before { content: 'Awk'; }
  pre.src-authinfo::before { content: 'Authinfo'; }
  pre.src-C:before { content: 'C'; }
  /* pre.src-C++ doesn't work in CSS */
  pre.src-clojure:before { content: 'Clojure'; }
  pre.src-css:before { content: 'CSS'; }
  pre.src-D:before { content: 'D'; }
  pre.src-ditaa:before { content: 'ditaa'; }
  pre.src-dot:before { content: 'Graphviz'; }
  pre.src-calc:before { content: 'Emacs Calc'; }
  pre.src-emacs-lisp:before { content: 'Emacs Lisp'; }
  pre.src-fortran:before { content: 'Fortran'; }
  pre.src-gnuplot:before { content: 'gnuplot'; }
  pre.src-haskell:before { content: 'Haskell'; }
  pre.src-hledger:before { content: 'hledger'; }
  pre.src-java:before { content: 'Java'; }
  pre.src-js:before { content: 'Javascript'; }
  pre.src-latex:before { content: 'LaTeX'; }
  pre.src-ledger:before { content: 'Ledger'; }
  pre.src-lisp:before { content: 'Lisp'; }
  pre.src-lilypond:before { content: 'Lilypond'; }
  pre.src-lua:before { content: 'Lua'; }
  pre.src-matlab:before { content: 'MATLAB'; }
  pre.src-mscgen:before { content: 'Mscgen'; }
  pre.src-ocaml:before { content: 'Objective Caml'; }
  pre.src-octave:before { content: 'Octave'; }
  pre.src-org:before { content: 'Org mode'; }
  pre.src-oz:before { content: 'OZ'; }
  pre.src-plantuml:before { content: 'Plantuml'; }
  pre.src-processing:before { content: 'Processing.js'; }
  pre.src-python:before { content: 'Python'; }
  pre.src-R:before { content: 'R'; }
  pre.src-ruby:before { content: 'Ruby'; }
  pre.src-sass:before { content: 'Sass'; }
  pre.src-scheme:before { content: 'Scheme'; }
  pre.src-screen:before { content: 'Gnu Screen'; }
  pre.src-sed:before { content: 'Sed'; }
  pre.src-sh:before { content: 'shell'; }
  pre.src-sql:before { content: 'SQL'; }
  pre.src-sqlite:before { content: 'SQLite'; }
  /* additional languages in org.el's org-babel-load-languages alist */
  pre.src-forth:before { content: 'Forth'; }
  pre.src-io:before { content: 'IO'; }
  pre.src-J:before { content: 'J'; }
  pre.src-makefile:before { content: 'Makefile'; }
  pre.src-maxima:before { content: 'Maxima'; }
  pre.src-perl:before { content: 'Perl'; }
  pre.src-picolisp:before { content: 'Pico Lisp'; }
  pre.src-scala:before { content: 'Scala'; }
  pre.src-shell:before { content: 'Shell Script'; }
  pre.src-ebnf2ps:before { content: 'ebfn2ps'; }
  /* additional language identifiers per "defun org-babel-execute"
       in ob-*.el */
  pre.src-cpp:before  { content: 'C++'; }
  pre.src-abc:before  { content: 'ABC'; }
  pre.src-coq:before  { content: 'Coq'; }
  pre.src-groovy:before  { content: 'Groovy'; }
  /* additional language identifiers from org-babel-shell-names in
     ob-shell.el: ob-shell is the only babel language using a lambda to put
     the execution function name together. */
  pre.src-bash:before  { content: 'bash'; }
  pre.src-csh:before  { content: 'csh'; }
  pre.src-ash:before  { content: 'ash'; }
  pre.src-dash:before  { content: 'dash'; }
  pre.src-ksh:before  { content: 'ksh'; }
  pre.src-mksh:before  { content: 'mksh'; }
  pre.src-posh:before  { content: 'posh'; }
  /* Additional Emacs modes also supported by the LaTeX listings package */
  pre.src-ada:before { content: 'Ada'; }
  pre.src-asm:before { content: 'Assembler'; }
  pre.src-caml:before { content: 'Caml'; }
  pre.src-delphi:before { content: 'Delphi'; }
  pre.src-html:before { content: 'HTML'; }
  pre.src-idl:before { content: 'IDL'; }
  pre.src-mercury:before { content: 'Mercury'; }
  pre.src-metapost:before { content: 'MetaPost'; }
  pre.src-modula-2:before { content: 'Modula-2'; }
  pre.src-pascal:before { content: 'Pascal'; }
  pre.src-ps:before { content: 'PostScript'; }
  pre.src-prolog:before { content: 'Prolog'; }
  pre.src-simula:before { content: 'Simula'; }
  pre.src-tcl:before { content: 'tcl'; }
  pre.src-tex:before { content: 'TeX'; }
  pre.src-plain-tex:before { content: 'Plain TeX'; }
  pre.src-verilog:before { content: 'Verilog'; }
  pre.src-vhdl:before { content: 'VHDL'; }
  pre.src-xml:before { content: 'XML'; }
  pre.src-nxml:before { content: 'XML'; }
  /* add a generic configuration mode; LaTeX export needs an additional
     (add-to-list 'org-latex-listings-langs '(conf " ")) in .emacs */
  pre.src-conf:before { content: 'Configuration File'; }

  table { border-collapse:collapse; }
  caption.t-above { caption-side: top; }
  caption.t-bottom { caption-side: bottom; }
  td, th { vertical-align:top;  }
  th.org-right  { text-align: center;  }
  th.org-left   { text-align: center;   }
  th.org-center { text-align: center; }
  td.org-right  { text-align: right;  }
  td.org-left   { text-align: left;   }
  td.org-center { text-align: center; }
  dt { font-weight: bold; }
  .footpara { display: inline; }
  .footdef  { margin-bottom: 1em; }
  .figure { padding: 1em; }
  .figure p { text-align: center; }
  .equation-container {
    display: table;
    text-align: center;
    width: 100%;
  }
  .equation {
    vertical-align: middle;
  }
  .equation-label {
    display: table-cell;
    text-align: right;
    vertical-align: middle;
  }
  .inlinetask {
    padding: 10px;
    border: 2px solid gray;
    margin: 10px;
    background: #ffffcc;
  }
  #org-div-home-and-up
   { text-align: right; font-size: 70%; white-space: nowrap; }
  textarea { overflow-x: auto; }
  .linenr { font-size: smaller }
  .code-highlighted { background-color: #ffff00; }
  .org-info-js_info-navigation { border-style: none; }
  #org-info-js_console-label
    { font-size: 10px; font-weight: bold; white-space: nowrap; }
  .org-info-js_search-highlight
    { background-color: #ffff00; color: #000000; font-weight: bold; }
  .org-svg { width: 90%; }
</style>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
</head>
<body>
<div id="content" class="content">
<h1 class="title">Fdisk</h1>
<div id="table-of-contents" role="doc-toc">
<h2>Table of Contents</h2>
<div id="text-table-of-contents" role="doc-toc">
<ul>
<li><a href="#org376b5ca">What is fdisk?</a></li>
<li><a href="#orgc68cbbf">Basic commands</a>
<ul>
<li><a href="#org1a8234e">List partitions:</a></li>
<li><a href="#org442c207">Start the partition manipulator:</a></li>
<li><a href="#org7d12114">Create a new empty partition table:</a>
<ul>
<li><a href="#orga5564bd">For a new GPT table:</a></li>
<li><a href="#org3ffdf51">For a new DOS table:</a></li>
</ul>
</li>
<li><a href="#org202022e">Partitioning the disk:</a>
<ul>
<li><a href="#org634a3cd">create a partition:</a></li>
<li><a href="#org39a413d">change partition type:</a></li>
<li><a href="#org673e22a">delete a partition:</a></li>
<li><a href="#org27f7988">print the partition table:</a></li>
<li><a href="#orgc3c9fc2">write the changes made:</a></li>
<li><a href="#org21e645e">quit without saving:</a></li>
<li><a href="#org7579467">open a help menu:</a></li>
</ul>
</li>
</ul>
</li>
<li><a href="#orged5cda5">After fdisk</a>
<ul>
<li><a href="#orgcbd651a">Make your file system:</a></li>
<li><a href="#org03d25ba">sudo blkid</a></li>
<li><a href="#orgd9806b1">Editing the fstab:</a></li>
<li><a href="#orgeddfbd6">Add this line at the end of the fstab:</a></li>
<li><a href="#orgb43763d">Now reboot and see if it works!</a>
<ul>
<li><a href="#org1569a0f">Footer</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><a href="../index.html">Home</a></td>
<td class="org-left"><a href="../dtos/index.html">DTOS</a></td>
<td class="org-left"><a href="index.html">Knowledge Base</a></td>
<td class="org-left"><a href="../community/index.html">Community</a></td>
<td class="org-left"><a href="../contribute/index.html">Contribute</a></td>
<td class="org-left"><a href="../support/index.html">Support DT&rsquo;s Work</a></td>
</tr>
</tbody>
</table>

<div id="outline-container-org376b5ca" class="outline-2">
<h2 id="org376b5ca">What is fdisk?</h2>
<div class="outline-text-2" id="text-org376b5ca">
<p>
fdisk is a program for managing partition tables and partitions on a hard disk.  It understands GPT, MBR, Sun, SGI and BSD partition tables.
</p>
</div>
</div>

<div id="outline-container-orgc68cbbf" class="outline-2">
<h2 id="orgc68cbbf">Basic commands</h2>
<div class="outline-text-2" id="text-orgc68cbbf">
</div>
<div id="outline-container-org1a8234e" class="outline-3">
<h3 id="org1a8234e">List partitions:</h3>
<div class="outline-text-3" id="text-org1a8234e">
<p>
sudo fdisk -l
</p>
</div>
</div>

<div id="outline-container-org442c207" class="outline-3">
<h3 id="org442c207">Start the partition manipulator:</h3>
<div class="outline-text-3" id="text-org442c207">
<p>
sudo fdisk /dev/sdX
</p>
</div>
</div>

<div id="outline-container-org7d12114" class="outline-3">
<h3 id="org7d12114">Create a new empty partition table:</h3>
<div class="outline-text-3" id="text-org7d12114">
</div>
<div id="outline-container-orga5564bd" class="outline-4">
<h4 id="orga5564bd">For a new GPT table:</h4>
<div class="outline-text-4" id="text-orga5564bd">
<p>
g
</p>
</div>
</div>
<div id="outline-container-org3ffdf51" class="outline-4">
<h4 id="org3ffdf51">For a new DOS table:</h4>
<div class="outline-text-4" id="text-org3ffdf51">
<p>
o
</p>
</div>
</div>
</div>

<div id="outline-container-org202022e" class="outline-3">
<h3 id="org202022e">Partitioning the disk:</h3>
<div class="outline-text-3" id="text-org202022e">
</div>
<div id="outline-container-org634a3cd" class="outline-4">
<h4 id="org634a3cd">create a partition:</h4>
<div class="outline-text-4" id="text-org634a3cd">
<p>
n
</p>
</div>
</div>
<div id="outline-container-org39a413d" class="outline-4">
<h4 id="org39a413d">change partition type:</h4>
<div class="outline-text-4" id="text-org39a413d">
<p>
t
</p>
</div>
</div>
<div id="outline-container-org673e22a" class="outline-4">
<h4 id="org673e22a">delete a partition:</h4>
<div class="outline-text-4" id="text-org673e22a">
<p>
d
</p>
</div>
</div>
<div id="outline-container-org27f7988" class="outline-4">
<h4 id="org27f7988">print the partition table:</h4>
<div class="outline-text-4" id="text-org27f7988">
<p>
p
</p>
</div>
</div>
<div id="outline-container-orgc3c9fc2" class="outline-4">
<h4 id="orgc3c9fc2">write the changes made:</h4>
<div class="outline-text-4" id="text-orgc3c9fc2">
<p>
w
</p>
</div>
</div>
<div id="outline-container-org21e645e" class="outline-4">
<h4 id="org21e645e">quit without saving:</h4>
<div class="outline-text-4" id="text-org21e645e">
<p>
q
</p>
</div>
</div>
<div id="outline-container-org7579467" class="outline-4">
<h4 id="org7579467">open a help menu:</h4>
<div class="outline-text-4" id="text-org7579467">
<p>
m
</p>
</div>
</div>
</div>
</div>

<div id="outline-container-orged5cda5" class="outline-2">
<h2 id="orged5cda5">After fdisk</h2>
<div class="outline-text-2" id="text-orged5cda5">
</div>
<div id="outline-container-orgcbd651a" class="outline-3">
<h3 id="orgcbd651a">Make your file system:</h3>
<div class="outline-text-3" id="text-orgcbd651a">
<ul class="org-ul">
<li>sudo mkswap /dev/vda1</li>
<li>sudo swapon /dev/vda1</li>
<li>sudo mkfs.ext4 /dev/vda2</li>
<li>sudo mkfs.ext4 /dev/vdb1</li>
</ul>
</div>
</div>

<div id="outline-container-org03d25ba" class="outline-3">
<h3 id="org03d25ba">sudo blkid</h3>
<div class="outline-text-3" id="text-org03d25ba">
<p>
This command gets the UUID of your block devices if you need to add to the fstab.  This is useful when wanting to auto-mount partitions that are on their own disk (such as /home or /music).
</p>
</div>
</div>

<div id="outline-container-orgd9806b1" class="outline-3">
<h3 id="orgd9806b1">Editing the fstab:</h3>
<div class="outline-text-3" id="text-orgd9806b1">
<p>
sudo vim /etc/fstab (or nano, if you prefer)
</p>
</div>
</div>

<div id="outline-container-orgeddfbd6" class="outline-3">
<h3 id="orgeddfbd6">Add this line at the end of the fstab:</h3>
<div class="outline-text-3" id="text-orgeddfbd6">
<p>
UUID=&lt;noted number from above&gt; /home ext4 defaults 0 2
</p>
</div>
</div>

<div id="outline-container-orgb43763d" class="outline-3">
<h3 id="orgb43763d">Now reboot and see if it works!</h3>
<div class="outline-text-3" id="text-orgb43763d">
<p>
sudo reboot
</p>
</div>

<div id="outline-container-org1569a0f" class="outline-4">
<h4 id="org1569a0f">Footer</h4>
<div class="outline-text-4" id="text-org1569a0f">
<p>
Copyright © 2020-2021 Derek Taylor (DistroTube)
</p>

<p>
This page is licensed under a <a href="https://creativecommons.org/licenses/by-nd/4.0/">Creative Commons Attribution-NoDerivatives 4.0 International License</a> (CC-BY-ND 4.0).
</p>

<p>
The source code for distro.tube can be found on <a href="https://gitlab.com/dwt1/distro.tube">GitLab</a>.  User-submitted contributions to the site are welcome, as long as the contributor agrees to license their submission with the CC-BY-ND 4.0 license.
</p>
</div>
</div>
</div>
</div>
</div>
<div id="postamble" class="status">
<p class="author">Author: dt</p>
<p class="date">Created: 2021-12-03 Fri 15:43</p>
</div>
</body>
</html>
